
#if !defined(CONFIG_IP_NF_CONNTRACK) && \
    !defined(CONFIG_IP_NF_CONNTRACK_MODULE) && \
    !defined(CONFIG_NF_CONNTRACK) && \
    !defined(CONFIG_NF_CONNTRACK_MODULE)
#	error You need CONFIG_IP_NF_CONNTRACK enabled in your kernel configuration
#endif

#if !defined(CONFIG_IP_NF_CONNTRACK_MARK) && !defined(CONFIG_NF_CONNTRACK_MARK)
#	error You need CONFIG_IP_NF_CONNTRACK_MARK or CONFIG_NF_CONNTRACK_MARK enabled in your kernel configuration
#endif

#include <linux/skbuff.h>
#include <linux/types.h>
#if defined(CONFIG_IP_NF_CONNTRACK) || defined(CONFIG_IP_NF_CONNTRACK_MODULE)
#	include <linux/netfilter_ipv4/ip_conntrack.h>
#else /* linux-2.6.20+ */
#	include <net/netfilter/nf_nat_rule.h>
#endif

uint32_t test(const struct sk_buff *skb)
{
	uint32_t ctstate;
	struct ip_conntrack *ctdata = ip_conntrack_get(skb, &ctstate);
	return ctdata->mark;
}
